> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Changer de forfait

> Modifier le plan de facturation

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.fr.json POST /v1/public/accounts/{account_id}/billing/change-plan
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/billing/change-plan:
    post:
      tags:
        - public-accounts
        - public-billing
      summary: Modifier le plan de facturation
      description: Modifiez le plan de facturation du compte.
      operationId: >-
        change_public_billing_plan_v1_public_accounts__account_id__billing_change_plan_post
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BillingChangePlanRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicBillingPlanOperationResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Erreur de validation
      security:
        - PublicBearerAuth: []
components:
  schemas:
    BillingChangePlanRequest:
      description: Schéma de demande client pour modifier le plan d’abonnement d’un compte.
      properties:
        effective_date:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: Date d’entrée en vigueur demandée pour le changement de régime
          title: Date d’effet
        plan_id:
          description: ID du plan de facturation cible
          enum:
            - smtp_per_mailbox
            - smtp_per_proxy
          title: Id du plan
          type: string
      required:
        - plan_id
      title: BillingChangePlanRequest
      type: object
    PublicBillingPlanOperationResponse:
      properties:
        account_status:
          anyOf:
            - type: string
            - type: 'null'
          description: Statut du compte après l'opération
          title: Statut du compte
        effective_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: Quand le changement de facturation est entré en vigueur
          title: En vigueur à
        eligible:
          anyOf:
            - type: boolean
            - type: 'null'
          description: Si le compte était éligible à l'opération
          title: Éligible
        previous_plan_id:
          anyOf:
            - type: string
            - type: 'null'
          description: ID du plan de facturation précédent
          title: Identifiant du forfait précédent
        status:
          description: Statut de l'opération de facturation
          title: Statut
          type: string
        target_plan_id:
          anyOf:
            - type: string
            - type: 'null'
          description: ID du plan de facturation cible
          title: Identifiant du plan cible
      required:
        - status
      title: PublicBillingPlanOperationResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Détail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Emplacement
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Type d erreur
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````